<div >
<h3>בחרי את תאריכי ההחלפה:</h3>
<h4>תאריך בו לא תוכלי לבוא:</h4>
<p-calendar [(ngModel)]="firstDate"></p-calendar>
<h4>תאריך שתוכלי לבוא במקום זה:</h4>
<p-calendar [(ngModel)]="secondDate"></p-calendar>
<br><br>
<p-button icon="pi pi-check" [disabled]="false" label="חיפוש החלפה" (onClick)="searchExchanging($event)"></p-button>

<i class="fas fa-envelope"></i>

<i class="fas fa-phone"></i>

<div *ngIf="exchangingTeachers!=undefine" class="w3-container" style="direction: rtl">
        <h2>רשימת מחליפות אפשריות</h2>
        <p *ngIf="exchangingTeachers.length==0">אין מחליפות מתאימות</p>
        <ul  class="w3-ul w3-card-4" >
          <li *ngFor="let teacher of exchangingTeachers" class="w3-bar" style="direction: rtl">
            <span onclick="this.parentElement.style.display='none'" class="w3-bar-item w3-button w3-white w3-xlarge w3-right">×</span>
            <!-- <img src="img_avatar2.png" class="w3-bar-item w3-circle w3-hide-small" style="width:85px"> -->
            <div class="w3-bar-item" style="direction: rtl">
              <span class="w3-large">{{teacher.FirstName}} {{teacher.LastName}}</span><br>
              <span >{{teacher.Phone}}</span>
              <button class="w3-button w3-white w3-border w3-border-blue email-button" >שליחת email</button>
            </div>
          </li>
        </ul>
      </div>
      <div class="loader" *ngIf="x"></div>
    </div>